Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  VBA Klassen umschalten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SolidEdge - Skalieren eines Bildes auf eine bestimmte Größe
Autor Thema:   VBA Klassen umschalten (341 mal gelesen)
amg13
Mitglied



Sehen Sie sich das Profil von amg13 an!   Senden Sie eine Private Message an amg13  Schreiben Sie einen Gästebucheintrag für amg13

Beiträge: 942
Registriert: 20.12.2002

Aktuell:
FSC R550 2x Xeon X5450 QuadCore
8GB RAM
Nvidia FX4800
Dell Precision M6300
Solid Edge ST3
NX 7.5
Solid Works 2010
Pro/E
Das war einmal:
HP Workstation
>80x SolidEdge V19 (Classic & Foundation)
14x SMAP3D Piping/Partfinder

erstellt am: 18. Okt. 2004 22:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Und nun noch eine Frage bei der ich auf dem Schlauch stehe.

Bei dem MouseDown event zieht VBA mir immer die Definition aus der
MSForms Bibliothek. Wie oder besser was muss ich tun damit das MouseDown event aus der Solid Edge Framework bibliothek gezogen wird.

cya
AMG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 19. Okt. 2004 00:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für amg13 10 Unities + Antwort hilfreich

Moin,

... tricky  hab's mal zusammengestellt:

Private WithEvents objCmd As SolidEdgeFramework.Command
Private WithEvents objMouse As SolidEdgeFramework.Mouse

'
' dort einfuegen wo objApp gesetzt wird bzw. dort
' wo die Maus-Events wieder aktiviert werden sollen
' nach dem Klick wird es per Programm deaktiviert
' Falls das nicht per Programm geschieht hilft u.U. ein Rechtsklick
'
Set objCmd = objApp.CreateCommand(seNoDeactivate)
Set objMouse = objCmd.Mouse
objCmd.Start
objApp.Activate      ' macht SE zum aktiven Fenster
'
' on Click
Private Sub objMouse_MouseClick(ByVal sButton As Integer, _
                ByVal sShift As Integer, _
                ByVal dX As Double, _
                ByVal dY As Double, _
                ByVal dZ As Double, _
                ByVal pWindowDispatch As Object, _
                ByVal lKeyPointType As Long, _
                ByVal pGraphicDispatch As Object)
       
    MsgBox "Mouse Clicked, Done wird aufgerufen"
    objCmd.Done = True
End Sub
'
' wird aufgerufen wenn der Command gesetzt wird
Private Sub objCmd_Activate()
'
' properties nachlesen --> object browser
objMouse.ScaleMode = 1
objMouse.WindowTypes = 1
objMouse.DynamicsMode = 1
objMouse.EnabledMove = True
objMouse.LocateMode = seLocateOff ' oder fuer Auswahl: seLocateQuickPick
'
' wenn Auswahl dann Filter setzten (macht ggf. nur Sinn wenn nicht im Draft)
'objMouse.AddToLocateFilter seLocateRefPlane  ' Referenzebene

End Sub


Siehe ansonsten MirAsm in \Custom
Aber daran denken: die Mausklicks bekommt das aktive Fenster. Es gibt
zwar eine moeglichkeit diese auch dann zu bekommen wenn das eigene
Fenster verdeckt ist aber wie weiss ich nicht.


modeng

[Diese Nachricht wurde von modeng am 19. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

amg13
Mitglied



Sehen Sie sich das Profil von amg13 an!   Senden Sie eine Private Message an amg13  Schreiben Sie einen Gästebucheintrag für amg13

Beiträge: 942
Registriert: 20.12.2002

Aktuell:
FSC R550 2x Xeon X5450 QuadCore
8GB RAM
Nvidia FX4800
Dell Precision M6300
Solid Edge ST3
NX 7.5
Solid Works 2010
Pro/E
Das war einmal:
HP Workstation
>80x SolidEdge V19 (Classic & Foundation)
14x SMAP3D Piping/Partfinder

erstellt am: 19. Okt. 2004 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die mühe,

aber irgend wie krieg ich das nicht hin.
Ich hab Deine Zeilen eingefügt aber sobald ich an die stelle
deiner MsgBox eine Linie zeichen möcht krieg ich die meldung Projekt oder bliothek nicht gefunden.

cya
AMG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 19. Okt. 2004 11:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für amg13 10 Unities + Antwort hilfreich


dann schick  mir mal dein kompl. Coding eMail im Bio -- ansonsten
ist das 'shooting in the dark' ...

modeng

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

amg13
Mitglied



Sehen Sie sich das Profil von amg13 an!   Senden Sie eine Private Message an amg13  Schreiben Sie einen Gästebucheintrag für amg13

Beiträge: 942
Registriert: 20.12.2002

Aktuell:
FSC R550 2x Xeon X5450 QuadCore
8GB RAM
Nvidia FX4800
Dell Precision M6300
Solid Edge ST3
NX 7.5
Solid Works 2010
Pro/E
Das war einmal:
HP Workstation
>80x SolidEdge V19 (Classic & Foundation)
14x SMAP3D Piping/Partfinder

erstellt am: 19. Okt. 2004 20:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hey Modeng,

danke für deine Hilfe hab das ganze dann doch noch hingekriegt.
lag mal wieder an einer lumpigen definition.

Allerdings hab ich noch eine Frage.
WAs muss ich tun um ein eingabeformular in den Vordergrund zubekommen?
Momentan blinkt es immer in der Taskleiste bleibt aber hinter SolidEdge bis man es anklickt. Kennst du da vielleicht einen
Weg?

cya
AMG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 19. Okt. 2004 23:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für amg13 10 Unities + Antwort hilfreich

ist unterwegs ...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz